------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity mux28 is
    Port ( s : in  STD_LOGIC;
           a : in  STD_LOGIC_VECTOR (7 downto 0);
           b : in  STD_LOGIC_VECTOR (7 downto 0);
           y : out  STD_LOGIC_VECTOR (7 downto 0));
end mux28;

architecture mux28 of mux28 is
	component mux2g
	generic (N: integer);
	
	port(
		a: in std_logic_vector ((N-1) downto 0);
		b: in std_logic_vector ((N-1) downto 0);
		s: in std_logic;
		y: out std_logic_vector ((N-1) downto 0)
		);
		end component;
		
begin

--instantination
 M8: mux2g
generic map(N=>8)

port map(
	a=>a,
	b=>b,
	s=>s,
	y=>y
		);
		
end mux28;