-- an example of how to use if-then-else statement

-- 2 to 1 multiplexer

library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity mux2g is
	generic (N:integer);
	port (
		a: in STD_LOGIC_VECTOR(N-1 downto 0);
		b: in STD_LOGIC_VECTOR(N-1 downto 0);
		y: out STD_LOGIC_VECTOR(N-1 downto 0);
		s: in STD_LOGIC;
	);
end muc2g;

architecture mux2g of mux2g is
begin
	process (a,b,s);
	begin
		if s = '0' then
			y <= a;
		else
			y<=b;
		end if;
	end process;
end mux2g;


--instantination
 M8: mux2g
generic map(N=>8)

port map(
a=>a,
b=>b,
s=>s,
y=>y
);


